import AppLayout from '@/components/layout/Index.vue'

const routes = [
  {
    path: '/app',
    component: AppLayout,
    props: { sidebar: false, hasTitle: false },
    meta: { title: '应用管理' },
    children: [
      {
        path: '',
        component: () => import('./views/List.vue'),
        meta: { title: '应用列表' }
      }
    ]
  },
  {
    path: '/app',
    component: AppLayout,
    props: { sidebar: false },
    meta: { title: '应用管理' },
    children: [
      {
        name: 'appView',
        path: ':id',
        component: () => import('./views/Detail.vue'),
        props: true,
        meta: { title: '应用详情' }
      },
      {
        name: 'appEventView',
        path: ':appid/event',
        component: () => import('./views/EventView.vue'),
        props: true,
        meta: { title: '接口调用明细' }
      }
    ]
  }
]

export { routes }
