import httpRequest from '@/utils/axios'

/**
 * 获取标签列表
 */
export function getLabelList(params) {
  return httpRequest.get(`/api/permissions/admin/v1/${params.app_id}/application/levels`, { params })
}

/**
 * 获取分组列表
 */
export function getGroupList(params) {
  return httpRequest.get(`/api/permissions/admin/v1/${params.app_id}/application/level-groups`, { params })
}

/**
 * 获取标签详情
 */
export function getLabel(params) {
  return httpRequest.get(`/api/permissions/admin/v1/application/level/${params.id}/detail`, { params })
}

/**
 * 创建标签
 */
export function createLabel(data) {
  return httpRequest.post(`/api/permissions/admin/v1/${data.app_id}/application/level/create`, data)
}

/**
 * 修改标签
 */
export function updateLabel(data) {
  return httpRequest.put(`/api/permissions/admin/v1/application/level/${data.id}/update`, data)
}

/**
 * 删除标签
 */
export function deleteLabel(data) {
  return httpRequest.delete(`/api/permissions/admin/v1/application/level/${data.id}/delete`, data)
}
